USN-5086-1: Linux kernel vulnerability

22 September 2021

IBM s390x systems could be made to crash or run programs as an administrator.

Releases

Packages

Details

Johan Almbladh discovered that the eBPF JIT implementation for IBM
s390x systems in the Linux kernel miscompiled operations in some
situations, allowing circumvention of the BPF verifier. A local
attacker could use this to cause a denial of service (system crash)
or possibly execute arbitrary code.

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 21.04
Ubuntu 20.04
Ubuntu 18.04
Ubuntu 16.04

After a standard system update you need to reboot your computer to make
all the necessary changes.

ATTENTION: Due to an unavoidable ABI change the kernel updates have
been given a new version number, which requires you to recompile and
reinstall all third party kernel modules you might have installed.
Unless you manually uninstalled the standard kernel metapackages
(e.g. linux-generic, linux-generic-lts-RELEASE, linux-virtual,
linux-powerpc), a standard system upgrade will automatically perform
this as well.